#ifndef ACTIONWAIT_H
#define ACTIONWAIT_H

#include "UnitAction.h"

#include "MemoryManager/debugNew.h"
class ActionWait :
	public UnitAction
{
private:
	int nbTop;
public:

	/**
	* construit une action qui va attendre éternellement
	* (l'action s'entretien)
	*/
	ActionWait(Unit * u,unitEnumeration::UnitState state);

	/**
	* construit une action qui va attendre nbTop appel à execute
	* puis se détruire
	*/
	ActionWait(Unit * u,unitEnumeration::UnitState state, int nbTop);

	~ActionWait(void);

	void execute();

};

#include "MemoryManager/debugNewOff.h"


#endif
